
import random

def random_word_generator(num_words=5, language='en'):
    from lingua import WordnetLemmatizer, WordnetFrequencyLemmatizer
    
    # Initialize lemmatizers
    lemmatizer = WordnetLemmatizer()
    frequency_lemmatizer = WordnetFrequencyLemmatizer()
    
    # Generate random words based on frequency
    words = frequency_lemmatizer.generate(num_words, language=language)
    
    return words



